org.eclipse.microprofile.rest.client.tck

## Class ClientHeaderParamTest

- java.lang.Object
- - org.jboss.arquillian.testng.Arquillian
  - - org.eclipse.microprofile.rest.client.tck.WiremockArquillianTest
    - - org.eclipse.microprofile.rest.client.tck.ClientHeaderParamTest

All Implemented Interfaces:
  org.testng.IHookable, org.testng.ITestNGListener

    public class ClientHeaderParamTest
    extends WiremockArquillianTest

### Nested Class Summary

### Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

### Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

### Constructor Summary

Constructors
Constructor and Description
`ClientHeaderParamTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.jboss.shrinkwrap.api.Archive<?>` `createDeployment()`
`void` `resetWiremock()`
`void` `testComputedClientHeaderParamOnInterface()`
`void` `testComputedClientHeaderParamOnMethod()`
`void` `testComputedClientHeaderParamOnMethodOverridesClientHeaderParamOnInterface()`
`void` `testExceptionInRequiredComputeMethodThrowsClientErrorException()`
`void` `testExplicitClientHeaderParamOnInterface()`
`void` `testExplicitClientHeaderParamOnMethod()`
`void` `testExplicitClientHeaderParamOnMethodOverridesClientHeaderParamOnInterface()`
`void` `testHeaderNotSentWhenExceptionThrownAndRequiredIsFalse()`
`void` `testHeaderParamOverridesComputedClientHeaderParamOnInterface()`
`void` `testHeaderParamOverridesComputedClientHeaderParamOnMethod()`
`void` `testHeaderParamOverridesExplicitClientHeaderParamOnInterface()`
`void` `testHeaderParamOverridesExplicitClientHeaderParamOnMethod()`
`void` `testMultivaluedHeaderInterfaceExplicit()`
`void` `testMultivaluedHeaderSentWhenInvokingComputeMethodFromSeparateClass()`

### Methods inherited from class org.eclipse.microprofile.rest.client.tck.WiremockArquillianTest

`getPort, getServerURI, getServerURL, getStringURL, setupServer`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClientHeaderParamTest

    public ClientHeaderParamTest()

### Method Detail

#### createDeployment

    @Deployment
    public static org.jboss.shrinkwrap.api.Archive<?> createDeployment()

#### resetWiremock

    @BeforeTest
    public void resetWiremock()

#### testExplicitClientHeaderParamOnInterface

    public void testExplicitClientHeaderParamOnInterface()

#### testExplicitClientHeaderParamOnMethod

    public void testExplicitClientHeaderParamOnMethod()

#### testHeaderParamOverridesExplicitClientHeaderParamOnInterface

    public void testHeaderParamOverridesExplicitClientHeaderParamOnInterface()

#### testHeaderParamOverridesExplicitClientHeaderParamOnMethod

    public void testHeaderParamOverridesExplicitClientHeaderParamOnMethod()

#### testExplicitClientHeaderParamOnMethodOverridesClientHeaderParamOnInterface

    public void testExplicitClientHeaderParamOnMethodOverridesClientHeaderParamOnInterface()

#### testComputedClientHeaderParamOnInterface

    public void testComputedClientHeaderParamOnInterface()

#### testComputedClientHeaderParamOnMethod

    public void testComputedClientHeaderParamOnMethod()

#### testHeaderParamOverridesComputedClientHeaderParamOnInterface

    public void testHeaderParamOverridesComputedClientHeaderParamOnInterface()

#### testHeaderParamOverridesComputedClientHeaderParamOnMethod

    public void testHeaderParamOverridesComputedClientHeaderParamOnMethod()

#### testComputedClientHeaderParamOnMethodOverridesClientHeaderParamOnInterface

    public void testComputedClientHeaderParamOnMethodOverridesClientHeaderParamOnInterface()

#### testExceptionInRequiredComputeMethodThrowsClientErrorException

    public void testExceptionInRequiredComputeMethodThrowsClientErrorException()

#### testHeaderNotSentWhenExceptionThrownAndRequiredIsFalse

    public void testHeaderNotSentWhenExceptionThrownAndRequiredIsFalse()

#### testMultivaluedHeaderSentWhenInvokingComputeMethodFromSeparateClass

    public void testMultivaluedHeaderSentWhenInvokingComputeMethodFromSeparateClass()

#### testMultivaluedHeaderInterfaceExplicit

    public void testMultivaluedHeaderInterfaceExplicit()